@import '~@guildion/next/styles/component.module.scss';

#header {
  width: 100%;
  height: 100%;
}

.default {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 64px;
  background-color: var(--background-subm2);
  border-bottom: 1px solid var(--background-subp1);
  z-index: 100;
  @include make-transition;
  &-hidden {
    transform: translateY(-100%);
    @include make-transition;
  }
  &-inner {
    width: calc(100% - 64px);
    max-width: 740px;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    margin: 0 auto;
  }
  &-logo {
    width: 100px;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    @include make-transition;
    &:hover {
      opacity: .7;
      @include make-transition;
    }
    & > svg {
      width: 20px;
      height: 20px;
      margin-right: 12px;
    }
    &_name {
      margin-left: 4px;
      font-family: var(--default-font-family);
      font-size: 16px;
      color: var(--element-default);
      font-weight: bold;
    }
  }
  &-description {
    font-family: var(--default-font-family);
    font-size: 14px;
    color: var(--element-subp1);
    text-align: left;
    margin-left: 20px;
  }
}